Package wx :: Class Region

[frames | no frames]

## Type Region

    object --+
             |
        Object --+
                 |
         GDIObject --+
                     |
                    Region

Proxy of C++ Region class

Method Summary
Region | `__init__(self, x, y, width, height)`
| `__del__(self)`
| `Clear(self)`
int | `Contains(self, x, y)`
int | `ContainsPoint(self, pt)`
int | `ContainsRect(self, rect)`
int | `ContainsRectDim(self, x, y, w, h)`
Bitmap | `ConvertToBitmap(self)`
Rect | `GetBox(self)`
bool | `Intersect(self, x, y, width, height)`
bool | `IntersectRect(self, rect)`
bool | `IntersectRegion(self, region)`
bool | `IsEmpty(self)`
bool | `IsEqual(self, region)`
bool | `Offset(self, x, y)`
bool | `Subtract(self, x, y, width, height)`
bool | `SubtractRect(self, rect)`
bool | `SubtractRegion(self, region)`
bool | `Union(self, x, y, width, height)`
bool | `UnionBitmap(self, bmp)`
bool | `UnionBitmapColour(self, bmp, transColour, tolerance)`
bool | `UnionRect(self, rect)`
bool | `UnionRegion(self, region)`
bool | `Xor(self, x, y, width, height)`
bool | `XorRect(self, rect)`
bool | `XorRegion(self, region)`

Property Summary
| `Box`: See `GetBox`
| `thisown`: The membership flag

Property Details

### Box

See `GetBox`

  Get Method:
    `GetBox`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:13 2007 | http://epydoc.sf.net